Status: Closed
Priority: Low
Target version:
Author/Contact Info: Kendall Demaree Standard(s):
Base Release: 61970cim15v12 Version:
Solution to be CIM18v07 Clause:
Solution Version: CIM18v07 Sub-Clause:
Solution Applied By: Chavdar Ivanov Paragraph:
Completion Date: 10/08/2023 Table:
CIM Keywords: Originally Closed in
Version:
Breaking Change: Yes Origination Date: 12/16/2011
Breaking Change Some attributes are deleted, but these Origination ID: 13_108
Description: are not used in WG13 profiles
CIM Impacted WG13 Originally Assigned
Groups: To:
Requestor:
Description

PotentialTransformer.ptClass is ambiguous string
String attribute has no real redefinition and is possibly redundent after addition of
PotentialTransformer:type:PotentialTransformerKind attribute.

Proposed Solution
PotentialTransformer.ptClass and CurrentTransformer.ctClass usage is not clear.

Decision

Chuck investigates and come up with proper attribute names and descriptions. Refer also to IEC 60044-1.
2013-06-05/LOO

Oslo, 14 June 2023
- update the description of PotentialTransformer.accuracyClass
- clarify the PotentialTransformer.ptClass as burden designation

All attributes will need to be revisited. Note that there is an opinion that we should not add attributes to Sensor due to other impact.

See https://voltage-disturbance.com/power-engineering/potential-transformer-accuracy/

30-Aug-2023: Discussion concluded with the observation that this is Asset related and not an TF13 Wires task. These attributes
should be removed as it is not necessary for wires-based application.

11 Oct 2023 - TF13 call
Close the issue and leave the remaining attributes (after the deletion of accuracyClass, ptClass and ctClass) with the expectation
that if there’s an issue or they are not needed someone will raise this.

Release Notes

The following attributes were removed as they are Asset related, they are not necessary for wires-based application and should not
be in the Grid package.

- PotentialTransformer.accuracyClass

- PotentialTransformer.ptClass

- CurrentTransformer.accuracyClass

- CurrentTransformer.ctClass
History

#1 - 02/07/2023 01:30 PM - Chavdar Ivanov

- Subject changed from PotentialTransformer.ptClass is ambiguous string
String att to Potential Transformer.ptClass is ambiguous stringString att

- Status changed from Open to Review

- Base Release changed from 61970cim15v12
to 61970cim15vi2

- Decision updated

WG13 to discuss if this is stil actual. Check with Chuck if input is ready.

#2 - 06/14/2023 09:41 AM - Chavdar Ivanov
- Subject changed from PotentialTransformer.ptClass is ambiguous stringString att to Modelling of Potential Transformer and CurentTransformer
- Proposed Solution updated

- Decision updated

#3 - 06/14/2023 09:42 AM - Chavdar Ivanov

- Status changed from Review to In Progress

#4 - 08/30/2023 11:02 AM - Todd Viegut
- Proposed Solution updated

- Decision updated

#5 - 10/08/2023 12:03 AM - Chavdar lvanov
- Solution to be Applied To set to CIM18v07
- Solution Version set to CIM18v07

- Solution Applied By set to Chavdar Ivanov
- Completion Date set to 10/08/2023

- Release Notes updated

#6 - 10/08/2023 12:07 AM - Chavdar Ilvanov
- Breaking Change changed from No to Yes

- Breaking Change Description set to Some attributes are deleted, but these are not used in WG13 profiles

#7 - 10/14/2023 11:23 PM - Chavdar Ivanov
- Status changed from In Progress to Closed

- Decision updated

#8 - 10/20/2023 09:42 AM - Todd Viegut
- Solution to be Applied To changed from CIM18v07 to 18v07

#9 - 10/20/2023 10:11 AM - Todd Viegut
- Solution to be Applied To changed from 18v07 to CIM18v07
